%define languageenglazy Korean
%define languagecode    ko
%define lc_ctype        ko_KR

Name:           hunspell-%{languagecode}
Version:        0.5.5
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        MPLv1.1 or GPLv2 or LGPLv2
Group:          System/Internationalization
URL:            http://code.google.com/p/spellcheck-ko/
Source0:        http://spellcheck-ko.googlecode.com/files/hunspell-dict-ko-%{version}.tar.gz

BuildRequires:  python-lxml
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ko
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# There is nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n hunspell-dict-ko-%{version}

%build
make

%install
install -D -m 0644 -p ko.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ko.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%check
make test

%files
%doc README LICENSE LICENSE.GPL LICENSE.LGPL LICENSE.MPL
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-2.mga4
+ Revision: 527764
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 0.5.5-1.mga4
+ Revision: 442155
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-6.mga3
+ Revision: 353522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.5.3-5.mga3
+ Revision: 325543
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.5.3-4.mga2
+ Revision: 224716
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.5.3-3.mga2
+ Revision: 208491
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 0.5.3-2.mga2
+ Revision: 202111
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 0.5.3-1.mga2
+ Revision: 120153
- Update to 0.5.3

* Sat Mar 12 2011 dmorgan <dmorgan> 0.5.0-2.mga1
+ Revision: 68889
- imported package hunspell-ko


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Caolán McNamara <caolanm@redhat.com> - 0.5.0-1
- latest version

* Sat Aug 07 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.3-1
- latest version
- drop integrated hunspell-dict-ko-0.4.2-1278333282.fixtests.patch

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.2-2
- enable make check now that hunspell is fixed to know about
  hangul syllables

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.2-1
- latest version

* Tue Jun 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.1-1
- latest version

* Mon Mar 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.4.0-1
- latest version

* Tue Nov 03 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.5-1
- latest version

* Sun Aug 30 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.3-1
- latest version

* Sun Jul 26 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.2-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.1-1
- latest version

* Mon Jun 22 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.0-1
- latest version

* Wed Jun 17 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.4-2
- build from source

* Mon Jun 15 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.4-1
- initial version
